<?php
// include az előzőkben definiált osztályokat
require_once(dirname(__FILE__).'/test1.php');

// létrehozunk egy új szerzőt
$author = new DataObjects_Author;
$author->name='Kiss Margit'; // név Kiss Margit lesz
$author->id = $author->insert(); // beszúrás az adatbázisba

// akkor most hozzunk létre egy könyvet...
$book = new DataObjects_Book;
$book->title="My First Book";
$book->author = $author->id; // az előzőekben létrehozott 
							 // szerző
$book->id = $book->insert(); // elmentjük ezt is...

echo("-------------------------\n");
// kiírunk róla pár info-t
echo("Book title: ".$book->title."\n");
echo("Book author: ".$book->author."\n");
echo("Author name: ".$author->name."\n");

echo("-------------------------\n");
// keresés egy elemre
$book2 = new DataObjects_Book;
$book2->get($book->id); //get-tel tudjuk betölteni a sort.
echo("Loaded book title: ".$book2->title."\n");

echo("-------------------------\n");
// keresés több elemre
$book->whereAdd("id > 0"); // kifejezés összeállító függvény
$book->whereAdd("id < 100");
$book->find();
while ($book->fetch()) {
	// írjuk ki a találatokat
	echo "Found book with title".$book->title."\n";
}

?>