<?php
require_once('PEAR.php');

// adatbáziskapcsolat megadása a DB_DataObject-nek
$options = &PEAR::getStaticProperty('DB_DataObject','options');
$options = array(
    'database'         => 'mysql://gomba:zsiraf@localhost/gomba', // oops...
    'schema_location'  => dirname(__FILE__),
    'class_location'   => dirname(__FILE__),
    'require_prefix'   => 'DataObjects/',
    'class_prefix'     => 'DataObjects_',
);

// DB_DataObject osztály include
require_once('DB/DataObject.php');

// csinálunk egy objektum-relációs osztályt, a szerzőt
class DataObjects_Author extends DB_DataObject 
{
    public $id; 
    public $name;
    // mivel nem használunk sémákat, meg kell adni
    public $__table = "Author"; // séma esetén nem kellene
    
    function staticGet($k,$v=NULL) 
    {
        return DB_DataObject::staticGet('Author',$k,$v); 
    }
    
    // mivel nem használunk sémákat, meg kell adni
    function table() 
    {
    	// visszatérünk a tábla paramétereivel
    	return array(
			'id'   => 1, // int, DB_DATAOBJECT_INT,
			'name' => 2, // string, DB_DATAOBJECT_STRING,
		);
	}
	    
    // mivel nem használunk sémákat, meg kell adni
    function keys()
    {
    	// visszaadjuk az elsődleges kulcs nevét
 		return array('id');
    }
}

// ez itt a másik osztályunk, a könyv
class DataObjects_Book extends DB_DataObject 
{
    public $id; 
    public $title;
    public $author;
    // mivel nem használunk sémákat, meg kell adni
    public $__table = "Book";
    
    function staticGet($k,$v=NULL) 
    {
        return DB_DataObject::staticGet('Book',$k,$v); 
    }
    
    // mivel nem használunk sémákat, meg kell adni
    function table() 
    {
    	return array(
			'id'   => 1, // int, DB_DATAOBJECT_INT,
			'author'   => 1, // int, DB_DATAOBJECT_INT,
			'title' => 2, // string, DB_DATAOBJECT_STRING,
		);
	}
	    
    // mivel nem használunk sémákat, meg kell adni
    function keys()
    {
 		return array('id');
    }
}
?>